package com.demo;

import javax.annotation.PostConstruct;
import javax.inject.Inject;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

/**
 *
 * @author sdionne1
 */
@Path("hello")
public class HelloResource {
    
    @Inject            
    CDIManagedBean bean;
    
    @Inject
    EJBManagedBean ejb;
    
    @PostConstruct
    public void init(){
        System.out.println(HelloResource.class + " post construct");
    } 
    
    @GET
    @Produces("text/plain")
    public String getHello(){
        return "hello : " + bean.getOutput() + "  : " + ejb.getOutput();
    }
    
    @POST
    @Consumes("text/plain")
    public void sayHello(String message){
        System.out.println("Say Hello : " + message);
    }
    
    @POST
    @Consumes("application/json")
    public void helloJson(User user){
        System.out.println("helloJson user : " + user);
    }
}
